

{% block body %}

    <html>
        <head>

        </head>
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" href="{{ path('home') }}">Add places</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{ path('graph') }}">Show Graph</a>
                    </li>
                </ul>
            </div>
        </nav>
        <div class="container-fluid">
            <div class="row" style="height: 30px">

            </div>
            <div class="row">
                <div class="col-md-10 offset-md-1">
                   {{ include('@App/new.html.twig') }}
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row" style="height: 30px">

            </div>
            <div class="row">
                <div class="col-md-10 offset-md-1">

                    <div class="col-md-12">
                        <table class="table">
                            <tr>
                                <td>Place Name</td>
                                <td>Edit</td>
                                <td>Delete</td>
                            </tr>
                            {% for p in palces  %}
                                <tr>
                                    <td>{{ p.name }}</td>
                                    <td>
                                        <button id="{{ p.id }}" type="button" class="edit btn btn-xs btn-warning"  data-toggle="modal" data-target="#Edit">Edit</button>
                                    </td>
                                    <td>
                                        <button id="{{ p.id }}" type="button" class="delete btn btn-xs btn-danger">Delete</button>
                                    </td>

                                </tr>
                            {% endfor %}
                        </table>
                    </div>

                </div>
            </div>
        </div>

        <div class="modal" tabindex="-1" role="dialog" id="Edit">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Modal title</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        {{ include('@App/edit.html.twig') }}
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-warning" id="edit">Edit</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
    </html>
{% endblock %}

{% block stylesheets %}
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
{% endblock %}
{% block scripts %}

    <script src="{{ asset('public/jquery-3.3.1.min.js') }}"></script>

    <script src="{{ asset('bundles/fosjsrouting/js/router.js') }}"></script>
    <script src="{{ path('fos_js_routing_js', { callback: 'fos.Router.setData' }) }}"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="{{ asset('public/Controlers/NewPlace.js') }}"></script>
{% endblock %}
